Subject: [PATCH 0/2] Re: Documentation: replace 'vi' for 'editor' to reflect build-time option

From: Jonathan Nieder <[email-masked]>
Date: Sat, 31 Mar 2012 03:40:15 -0500

Junio C Hamano wrote:

> I've already rejected this patch once, but that was primarily because the
> patch was not justified with the above "I read everybody else's git uses
> 'vi' on the Interweb, and even though my distro's manual page says it uses
> 'nano', I didn't bother to read it." scenario.

Thanks.  Here's a pair of patches meant to combine the advantages of
both approaches. ;-)

Thoughts and improvements welcome, of course.

Sincerely,
Jonathan Nieder (2):
  var doc: default editor and pager are configurable at build time
  var doc: advertise current DEFAULT_PAGER and DEFAULT_EDITOR settings

 Documentation/Makefile    |   10 ++++++++++
 Documentation/git-var.txt |   16 ++++++++++++++--
 Makefile                  |    2 ++
 3 files changed, 26 insertions(+), 2 deletions(-)